=== debian/changelog ===
fai (6.5.3) unstable; urgency=low

  * fai: use mirror on data partition if available
  * add message when mounting the data partition
  * remove unused script device2grub
  * control: remove Priority
  * upgrade to policy 4.7.3
  * mk-basefile: add duke release
  * package_config/DEBIAN: add firmware-mediatek

 -- Thomas Lange <lange@debian.org>  Wed, 14 Jan 2026 12:14:06 +0100
