## fai 6.5.4

=== debian/changelog ===
fai (6.5.4) unstable; urgency=low

  [ Tobias Häberlein ]
  * subroutines: check write access to /var/log instead of /var/log/fai

  [ Thomas Lange ]
  * fai-mirror: add option -G, call install_packages without -N
  * install_packages: add option -G for creating a generic package mirror
    (in download mode)
  * fai-make-nfsroot: remove unused code
  * package_config/UBUNTU: add kernel package for HWE and non-HWE class
  * debconf/DEBIAN: add firmware-ipw2x00/license/accepted
  * package_config/MINT: update packages list for 22.3 (zena)

 -- Thomas Lange <lange@debian.org>  Mon, 26 Jan 2026 18:43:58 +0100
