## fai 6.5.5

=== debian/changelog ===
fai (6.5.5) unstable; urgency=low

  * install_packages: substitute variables before processing futher,
    set maxpl correctly
  * example.profile: update Linux Mint
  * package_config/XORG: remove duplicated package names

 -- Thomas Lange <lange@debian.org>  Mon, 09 Feb 2026 14:23:53 +0100
