## fai 6.5.6

=== debian/changelog ===
fai (6.5.6) unstable; urgency=low

  * fai-mirror: do not set MAXPACKAGES to 1 if -m is not used
  * UBUNTU: remove default kernel when using the HWE kernel

 -- Thomas Lange <lange@debian.org>  Wed, 11 Feb 2026 15:19:01 +0100
